Get Bookable Tables
curl --request GET \
--url https://ipos.dev.nowbookit.com/Bookings/tables \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/Bookings/tables"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/Bookings/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/Bookings/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/Bookings/tables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ipos.dev.nowbookit.com/Bookings/tables")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/Bookings/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sectionName": "<string>",
"sectionId": "<string>",
"layoutId": "<string>",
"layoutName": "<string>",
"tables": [
{
"_id": "<string>",
"name": "<string>",
"shared": true,
"online": true,
"walkinOnly": true,
"capacity": 123,
"minCapacity": 123,
"sectionId": "<string>",
"sectionName": "<string>"
}
]
}Bookings
GET /Bookings/tables
Retrieve available tables for a given date and duration.
GET
/
Bookings
/
tables
Get Bookable Tables
curl --request GET \
--url https://ipos.dev.nowbookit.com/Bookings/tables \
--header 'X-API-KEY: <api-key>'import requests
url = "https://ipos.dev.nowbookit.com/Bookings/tables"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://ipos.dev.nowbookit.com/Bookings/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ipos.dev.nowbookit.com/Bookings/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ipos.dev.nowbookit.com/Bookings/tables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ipos.dev.nowbookit.com/Bookings/tables")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ipos.dev.nowbookit.com/Bookings/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"sectionName": "<string>",
"sectionId": "<string>",
"layoutId": "<string>",
"layoutName": "<string>",
"tables": [
{
"_id": "<string>",
"name": "<string>",
"shared": true,
"online": true,
"walkinOnly": true,
"capacity": 123,
"minCapacity": 123,
"sectionId": "<string>",
"sectionName": "<string>"
}
]
}Retrieve available tables for a given date and duration.
Response is an array of section objects, each containing a list of tables.
Section object
Table object
Example 200 Response
string
required
Your API key
string
Date to check availability. Formats:
yyyy-MM-dd or yyyy-MM-ddTHH:mm:ss.fffZinteger
Availability duration in minutes. Default:
90curl --location '[BASE_URL]/Bookings/tables?Date=2024-03-20&Duration=90' \
--header 'X-API-KEY: your_api_key_here'
| Field | Type | Description |
|---|---|---|
sectionName | string | Section name |
sectionId | string | Section ID |
layoutId | string | Layout ID |
layoutName | string | Layout name |
tables | array | Available tables in this section |
| Field | Type | Description |
|---|---|---|
_id | string | Table ID — use when creating or updating bookings |
name | string | Table name |
capacity | integer | Maximum guests |
minCapacity | integer | Minimum guests |
shared | boolean | Can be shared between bookings |
online | boolean | Available for online bookings |
walkinOnly | boolean | Walk-in only table |
sectionId | string | Parent section ID |
sectionName | string | Parent section name |
[
{
"sectionName": "Main",
"sectionId": "sec-1",
"layoutId": "lay-1",
"layoutName": "Main Layout",
"tables": [
{
"_id": "tbl-5",
"name": "Table 5",
"capacity": 6,
"minCapacity": 2,
"shared": false,
"online": true,
"walkinOnly": false,
"sectionId": "sec-1",
"sectionName": "Main"
}
]
}
]
| Status | Description |
|---|---|
200 | Tables returned |
400 | API key not associated with a venue |
400 | No Venue Subscribed to your App. |
400 | Invalid Date passed. |
401 | X-API-KEY missing or invalid |
429 | Rate limit exceeded |
Authorizations
Headers
API Key authentication header
Query Parameters
The Date on which table should be available. Valid Date formats ['yyyy-MM-dd', 'yyyy-MM-ddTHH:MM:SS.fffZ']
The Duration required for table to be available for. Default 90 minutes.